{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine forward_event, security_err_msg\r\ndeclare function msg, security_check, post_event, rowexists\r\ndeclare function fieldcount, send_event, scroll_enable\r\n$insert logical\r\n$insert security_rights_equ\r\n$insert msg_equates\r\n\r\nVerifyNo     = .verify_no->text\r\nOnlyVerifyNo = get_property( @window, '@WOVerifyID' )\r\nif VerifyNo = OnlyVerifyNo then\r\n   ReadOk = true$\r\nend else\r\n   * user is trying to view another work order verification ( only allow view from rds )\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You may only view Work Order Verifications from RDS...'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\t  \r\n   ReadOk = false$\r\n   Void = post_event( CtrlEntId, 'CLEAR', False$, True$ )\r\nend\r\nif ReadOk then\r\n   if get_property( @window, '@NoRead' ) then\r\n       Void = set_property( @window, '@NoRead', 0 )\r\n   end else\r\n       * no qbf active do the read\r\n       * if it is active the read already took place\r\n       forward_event()\r\n   end\r\n   ProtectVar = 'ENTRY_ID/ENTRY_DATE/STATUS/RECIPE/NEW_DOPANT/TECH_SIG/TECH_SIG_NAME/TECH_SIG_TIME/'\r\n   swap '/' with @rm:@window:'.' in ProtectVar\r\n   ProtectVar = @window:'.':ProtectVar\r\n   Void = set_property( ProtectVar, 'ENABLED', 0 )\r\n   if security_check( 'WO Verify', Edit$ ) else\r\n      * protect all fields\r\n      AllControls = utility( 'OBJECTLIST', @window, '' )\r\n      Acnt = fieldcount( AllControls, @fm )     \r\n      for i = 1 to Acnt         \r\n         ThisControl = AllControls<i>\r\n         if ThisControl[-6,6] = '_LABEL' or index( ThisControl, 'MENU', 1 ) or index( ThisControl, 'TEXT', 1 ) else\r\n            void = set_property( ThisControl, 'ENABLED', 0 )\r\n         end           \r\n      next i   \r\n      Void = scroll_enable()\t\t      \r\n   end\r\n   Void = set_property( @window:'.DOPANT_CHK', \"FOCUS\", 1 )\r\n   Void = post_event( @window:'.DOPANT_CHK', \"GOTFOCUS\", 1 )\r\nend\r\nRETURN 0"
        }
    }
}